Package org.eclipse.ecf.remoteservice.rest.client

# Class AbstractRequestType

java.lang.Object
org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

All Implemented Interfaces:
  `IRemoteCallableRequestType`

Direct Known Subclasses:
  `AbstractEntityRequestType`, `HttpDeleteRequestType`, `HttpGetRequestType`

public abstract class AbstractRequestType extends Object implements IRemoteCallableRequestType

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map`
`defaultRequestHeaders`

## Constructor Summary

Constructors
Constructor
Description
`AbstractRequestType()`
`AbstractRequestType(Map defaultRequestHeaders)`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getDefaultRequestHeaders()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### defaultRequestHeaders

protected Map defaultRequestHeaders

## Constructor Details

### AbstractRequestType

public AbstractRequestType(Map defaultRequestHeaders)

### AbstractRequestType

public AbstractRequestType()

## Method Details

### getDefaultRequestHeaders

public Map getDefaultRequestHeaders()